This repository contains the Genode port of the
[http://http://www.4front-tech.com - Open Sound System] (OSS).

OSS
###

Usage
=====

On first use, please call

! make prepare

on the top-level makefile of this repository. Also you need to make sure to
add the 'dde_oss' repository to your REPOSITORIES variable in 'etc/build.conf'.

Example
=======

An OSS demo configuration can be found under 'run/oss.run' and can be started
via

! make run/oss

from the Genode build directory. Be sure to adjust the 'filename' tag of the
'audio0' program. The file has to reside under: '<Genode build directory>/bin'.
The file format is header less two channel float 32 at 44100 Hz. You may use
the 'sox' utility to create these audio files:

! sox -c 2 -r 44100 foo.mp3 foo.f32

Supported devices
=================

Currently supported devices can be found in 'contrib/devices.list' in this
repository after preparation.

